# Uses of Interface
org.apache.sysds.runtime.compress.estim.encoding.IEncode

Packages that use IEncode
Package
Description
org.apache.sysds.runtime.compress.colgroup
org.apache.sysds.runtime.compress.estim
org.apache.sysds.runtime.compress.estim.encoding

## Uses of IEncode in org.apache.sysds.runtime.compress.colgroup

Methods in org.apache.sysds.runtime.compress.colgroup that return IEncode
Modifier and Type
Method
Description
`IEncode`
AColGroup.`getEncoding()`
Get encoding of this column group.
`IEncode`
ColGroupConst.`getEncoding()`
`IEncode`
ColGroupDDC.`getEncoding()`
`IEncode`
ColGroupDDCFOR.`getEncoding()`
`IEncode`
ColGroupEmpty.`getEncoding()`
`IEncode`
ColGroupSDC.`getEncoding()`
`IEncode`
ColGroupSDCFOR.`getEncoding()`
`IEncode`
ColGroupSDCSingle.`getEncoding()`
`IEncode`
ColGroupSDCSingleZeros.`getEncoding()`
`IEncode`
ColGroupSDCZeros.`getEncoding()`

## Uses of IEncode in org.apache.sysds.runtime.compress.estim

Methods in org.apache.sysds.runtime.compress.estim that return IEncode
Modifier and Type
Method
Description
`IEncode`
CompressedSizeInfoColGroup.`getMap()`
Methods in org.apache.sysds.runtime.compress.estim with parameters of type IEncode
Modifier and Type
Method
Description
`void`
CompressedSizeInfoColGroup.`setMap(IEncode map)`
Constructors in org.apache.sysds.runtime.compress.estim with parameters of type IEncode
Modifier
Constructor
Description
``
`CompressedSizeInfoColGroup(IColIndex columns, EstimationFactors facts, long minSize, AColGroup.CompressionType bestCompression, IEncode map)`
``
`CompressedSizeInfoColGroup(IColIndex columns, EstimationFactors facts, Set<AColGroup.CompressionType> validCompressionTypes, IEncode map)`

## Uses of IEncode in org.apache.sysds.runtime.compress.estim.encoding

Classes in org.apache.sysds.runtime.compress.estim.encoding that implement IEncode
Modifier and Type
Class
Description
`class`
`AEncode`
`class`
`ConstEncoding`
Const encoding for cases where the entire group of columns is the same value
`class`
`DenseEncoding`
An Encoding that contains a value on each row of the input.
`class`
`EmptyEncoding`
Empty encoding for cases where the entire group of columns is zero
`class`
`SparseEncoding`
A Encoding that contain a default value that is not encoded and every other value is encoded in the map.
Methods in org.apache.sysds.runtime.compress.estim.encoding that return IEncode
Modifier and Type
Method
Description
`IEncode`
ConstEncoding.`combine(IEncode e)`
`IEncode`
DenseEncoding.`combine(IEncode e)`
`IEncode`
EmptyEncoding.`combine(IEncode e)`
`IEncode`
IEncode.`combine(IEncode e)`
Combine two encodings, note it should be guaranteed by the caller that the number of unique multiplied does not overflow Integer.
`IEncode`
SparseEncoding.`combine(IEncode e)`
`static IEncode`
EncodingFactory.`create(ColGroupConst c)`
`static IEncode`
EncodingFactory.`create(ColGroupEmpty c)`
`static IEncode`
EncodingFactory.`create(AMapToData d)`
`static IEncode`
EncodingFactory.`create(AMapToData d, AOffset i, int nRow)`
`static IEncode`
EncodingFactory.`createFromMatrixBlock(MatrixBlock m, boolean transposed, int rowCol)`
Create encoding of a single specific column inside the matrix input.
`static IEncode`
EncodingFactory.`createFromMatrixBlock(MatrixBlock m, boolean transposed, int rowCol, double[] scaleFactors)`
Create encoding of a single specific column inside the matrix input.
`static IEncode`
EncodingFactory.`createFromMatrixBlock(MatrixBlock m, boolean transposed, IColIndex rowCols)`
Encode a list of columns together from the input matrix, as if it is cocoded.
`static IEncode`
EncodingFactory.`createFromMatrixBlock(MatrixBlock m, boolean transposed, IColIndex rowCols, double[] scaleFactors)`
`static IEncode`
EncodingFactory.`createFromMatrixBlockDelta(MatrixBlock m, boolean transposed, IColIndex rowCols)`
Encode a full delta representation of the matrix input taking all rows into account.
`static IEncode`
EncodingFactory.`createFromMatrixBlockDelta(MatrixBlock m, boolean transposed, IColIndex rowCols, int sampleSize)`
Encode a delta representation of the matrix input taking the first "sampleSize" rows into account.
Methods in org.apache.sysds.runtime.compress.estim.encoding that return types with arguments of type IEncode
Modifier and Type
Method
Description
`org.apache.commons.lang3.tuple.Pair<IEncode,HashMapLongInt>`
ConstEncoding.`combineWithMap(IEncode e)`
`org.apache.commons.lang3.tuple.Pair<IEncode,HashMapLongInt>`
DenseEncoding.`combineWithMap(IEncode e)`
`org.apache.commons.lang3.tuple.Pair<IEncode,HashMapLongInt>`
EmptyEncoding.`combineWithMap(IEncode e)`
`org.apache.commons.lang3.tuple.Pair<IEncode,HashMapLongInt>`
IEncode.`combineWithMap(IEncode e)`
Combine two encodings without resizing the output.
`org.apache.commons.lang3.tuple.Pair<IEncode,HashMapLongInt>`
SparseEncoding.`combineWithMap(IEncode e)`
Methods in org.apache.sysds.runtime.compress.estim.encoding with parameters of type IEncode
Modifier and Type
Method
Description
`IEncode`
ConstEncoding.`combine(IEncode e)`
`IEncode`
DenseEncoding.`combine(IEncode e)`
`IEncode`
EmptyEncoding.`combine(IEncode e)`
`IEncode`
IEncode.`combine(IEncode e)`
Combine two encodings, note it should be guaranteed by the caller that the number of unique multiplied does not overflow Integer.
`IEncode`
SparseEncoding.`combine(IEncode e)`
`org.apache.commons.lang3.tuple.Pair<IEncode,HashMapLongInt>`
ConstEncoding.`combineWithMap(IEncode e)`
`org.apache.commons.lang3.tuple.Pair<IEncode,HashMapLongInt>`
DenseEncoding.`combineWithMap(IEncode e)`
`org.apache.commons.lang3.tuple.Pair<IEncode,HashMapLongInt>`
EmptyEncoding.`combineWithMap(IEncode e)`
`org.apache.commons.lang3.tuple.Pair<IEncode,HashMapLongInt>`
IEncode.`combineWithMap(IEncode e)`
Combine two encodings without resizing the output.
`org.apache.commons.lang3.tuple.Pair<IEncode,HashMapLongInt>`
SparseEncoding.`combineWithMap(IEncode e)`
`boolean`
ConstEncoding.`equals(IEncode e)`
`boolean`
DenseEncoding.`equals(IEncode e)`
`boolean`
EmptyEncoding.`equals(IEncode e)`
`boolean`
IEncode.`equals(IEncode e)`
Indicate if the given encoding is equivalent to this encoding
`boolean`
SparseEncoding.`equals(IEncode e)`